Forwarded: https://github.com/boto/s3transfer/pull/300

--- a/s3transfer/compat.py
+++ b/s3transfer/compat.py
@@ -16,8 +16,6 @@
 import socket
 import sys
 
-from botocore.compat import six
-
 if sys.platform.startswith('win'):
     def rename_file(current_filename, new_filename):
         try:
--- a/s3transfer/__init__.py
+++ b/s3transfer/__init__.py
@@ -135,7 +135,6 @@
 import string
 import threading
 
-from botocore.compat import six  # noqa: F401
 from botocore.exceptions import IncompleteReadError, ResponseStreamingError
 from urllib3.exceptions import (
     ReadTimeoutError,
